ProjectHelper2.AntHandler (Apache Ant API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.helper
Class ProjectHelper2.AntHandler

    java.lang.Object
      org.apache.tools.ant.helper.ProjectHelper2.AntHandler

Direct Known Subclasses:
  ProjectHelper2.ElementHandler, ProjectHelper2.MainHandler, ProjectHelper2.ProjectHandler, ProjectHelper2.TargetHandler

Enclosing class:
  ProjectHelper2

    public static class ProjectHelper2.AntHandler

extends java.lang.Object

The common superclass for all SAX event handlers used to parse the configuration file. The context will hold all state information. At each time there is one active handler for the current element. It can use onStartChild() to set an alternate handler for the child.

Constructor Summary
`ProjectHelper2.AntHandler()`

Method Summary
`void` | `characters(char[] buf, int start, int count, AntXMLContext context)` Handles text within an element.
`protected void` | `checkNamespace(java.lang.String uri)` Will be called every time a namespace is reached.
`void` | `onEndChild(java.lang.String uri, java.lang.String tag, java.lang.String qname, AntXMLContext context)` Handle the end of a element.
`void` | `onEndElement(java.lang.String uri, java.lang.String tag, AntXMLContext context)` This method is called when this element and all elements nested into it have been handled.
`ProjectHelper2.AntHandler` | `onStartChild(java.lang.String uri, java.lang.String tag, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` Handles the start of an element.
`void` | `onStartElement(java.lang.String uri, java.lang.String tag, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` Handles the start of an element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectHelper2.AntHandler

    public ProjectHelper2.AntHandler()

Method Detail

### onStartElement

    public void onStartElement(java.lang.String uri,
                               java.lang.String tag,
                               java.lang.String qname,
                               org.xml.sax.Attributes attrs,
                               AntXMLContext context)
                        throws org.xml.sax.SAXParseException

  Handles the start of an element. This base implementation does nothing.

  Parameters:
    `uri` - the namespace URI for the tag
    `tag` - The name of the element being started. Will not be `null`.
    `qname` - The qualified name of the element.
    `attrs` - Attributes of the element being started. Will not be `null`.
    `context` - The context that this element is in.
  Throws:
    `org.xml.sax.SAXParseException` - if this method is not overridden, or in case of error in an overridden version

### onStartChild

    public ProjectHelper2.AntHandler onStartChild(java.lang.String uri,
                                                  java.lang.String tag,
                                                  java.lang.String qname,
                                                  org.xml.sax.Attributes attrs,
                                                  AntXMLContext context)
                                           throws org.xml.sax.SAXParseException

  Handles the start of an element. This base implementation just throws an exception - you must override this method if you expect child elements.

  Parameters:
    `uri` - The namespace uri for this element.
    `tag` - The name of the element being started. Will not be `null`.
    `qname` - The qualified name for this element.
    `attrs` - Attributes of the element being started. Will not be `null`.
    `context` - The current context.
  Returns:
    a handler (in the derived classes)
  Throws:
    `org.xml.sax.SAXParseException` - if this method is not overridden, or in case of error in an overridden version

### onEndChild

    public void onEndChild(java.lang.String uri,
                           java.lang.String tag,
                           java.lang.String qname,
                           AntXMLContext context)
                    throws org.xml.sax.SAXParseException

  Handle the end of a element.

  Parameters:
    `uri` - the namespace uri of the element
    `tag` - the tag of the element
    `qname` - the qualified name of the element
    `context` - the current context
  Throws:
    `org.xml.sax.SAXParseException` - if an error occurs

### onEndElement

    public void onEndElement(java.lang.String uri,
                             java.lang.String tag,
                             AntXMLContext context)

  This method is called when this element and all elements nested into it have been handled. I.e., this happens at the </end_tag_of_the_element>.

  Parameters:
    `uri` - the namespace uri for this element
    `tag` - the element name
    `context` - the current context

### characters

    public void characters(char[] buf,
                           int start,
                           int count,
                           AntXMLContext context)
                    throws org.xml.sax.SAXParseException

  Handles text within an element. This base implementation just throws an exception, you must override it if you expect content.

  Parameters:
    `buf` - A character array of the text within the element. Will not be `null`.
    `start` - The start element in the array.
    `count` - The number of characters to read from the array.
    `context` - The current context.
  Throws:
    `org.xml.sax.SAXParseException` - if this method is not overridden, or in case of error in an overridden version

### checkNamespace

    protected void checkNamespace(java.lang.String uri)

  Will be called every time a namespace is reached. It'll verify if the ns was processed, and if not load the task definitions.

  Parameters:
    `uri` - The namespace uri.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD